Support » Plugin: WP-DBManager » Errors in new version

  • Resolved Spoon Man

    (@blackholesun94)


    These PHP errors are showing up after the last update (2.80):

    PHP Warning: gmdate() expects parameter 2 to be integer, string given in xxxxx/wp-content/plugins/wp-dbmanager/wp-dbmanager.php on line 289

    PHP Notice: A non well formed numeric value encountered in xxxxx/wp-content/plugins/wp-dbmanager/wp-dbmanager.php on line 289

Viewing 2 replies - 1 through 2 (of 2 total)
  • Thread Starter Spoon Man

    (@blackholesun94)

    I think the new md5 hash you added to the beginning of the filename broke your function dbmanager_email_backup().

    On line 289 you have this:

    $file_gmt_date = gmdate( ‘Y-m-d H:i:s’, substr( $file_name, 0, 10 ) );

    Its expecting 10 digits, not an md5 hash.

    Just me but I would have added the hash to the end of the filename string so it would not have broken existing functions.

    Hope that helps. Probably gonna roll back to an oder version for now.

    Plugin Author Lester Chan

    (@gamerz)

    Hi, this will be fixed in the next update.

    In the mean time, could you download the dev version https://github.com/lesterchan/wp-dbmanager/archive/master.zip and replace the contents on your server wp-content/plugins/wp-dbmanager ?

    • This reply was modified 2 years, 8 months ago by Lester Chan.
Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Errors in new version’ is closed to new replies.